<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [ExecutionContext](./puppeteer.executioncontext.md) &gt; [\_adoptBackendNodeId](./puppeteer.executioncontext._adoptbackendnodeid.md)

## ExecutionContext.\_adoptBackendNodeId() method

<b>Signature:</b>

```typescript
_adoptBackendNodeId(backendNodeId: Protocol.DOM.BackendNodeId): Promise<ElementHandle>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  backendNodeId | Protocol.DOM.BackendNodeId |  |

<b>Returns:</b>

Promise&lt;[ElementHandle](./puppeteer.elementhandle.md)<!-- -->&gt;

